Bug 1312772 - Upgrade docs: Add information about DNS/DHCP configuration overwrite
Upgrade docs: Add information about DNS/DHCP configuration overwrite
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: 6.2
Assigned To: Stephen Wadeley
Russell Dickenson
:
Depends On:
Blocks: 1339417
  Show dependency treegraph
 
Reported: 2016-02-29 04:24 EST by Lukas Zapletal
Modified: 2016-07-31 17:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-31 17:24:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2016-02-29 04:24:08 EST
I've encountered several upgrade errors at customers or redhatters when
DHCP and/or DNS configuration simply disappears after Satellite upgrade.

When our users add or modify subnets or domains, our installer overwrite
the configuration with the initial one. Since our installer is limited 
and only supports definition of one subnet/domain, all the others are 
deleted and users need to restore those configurations from backups.

Affected files are: /etc/zones.conf and /etc/dhcp/dhcpd.conf

Add these steps during the upgrade (before katello-installer is executed):

A) Our installer currently only supports one domain or subnet. Ask users to check those files manually before running the upgrade.

B) If there is more than one entry (subnet or domain), they need to back up these files.

C) After installer (--upgrade option) run, ask users to compare those files and put the manual changes back restarting affected services.
Comment 1 Rich Jerrido 2016-02-29 07:05:54 EST
In addition to the items mentioned above, the user should be instructed to use the --capsule-dhcp-managed & --capsule-dns-managed switches if they are modifying the installer provided configuration files. 

    --capsule-dhcp-managed        DHCP is managed by Foreman proxy (default: true)
    --capsule-dns-managed         DNS is managed by Foreman proxy (default: true)

Also, we should document how the user can run the following to check for locally modified content before running the installer. 

katello-installer --noop --verbose --upgrade
Comment 4 Andrew Dahms 2016-07-06 08:16:15 EDT
Re-assigning to Stephen, who is currently working on upgrade-related content, after discussion with Ali.

Stephen - would you be able to take a look at the changes requested above and see if they still hold true for the current upgrade process, and if this is covered in any of the other feedback we have received?
Comment 9 Stephen Wadeley 2016-07-15 10:21:45 EDT
(In reply to Rich Jerrido from comment #1)
> In addition to the items mentioned above, the user should be instructed to
> use the --capsule-dhcp-managed & --capsule-dns-managed switches if they are
> modifying the installer provided configuration files. 
> 
>     --capsule-dhcp-managed        DHCP is managed by Foreman proxy (default:
> true)
>     --capsule-dns-managed         DNS is managed by Foreman proxy (default:
> true)
> 
> Also, we should document how the user can run the following to check for
> locally modified content before running the installer. 
> 
> katello-installer --noop --verbose --upgrade

Hello Rich

We need to say see logs, same as 6.1? Has the log name changed? 6.1 Docs says "Review the /var/log/katello-installer/katello-installer.log to see what changes would be applied if the --noop option was omitted."

I just ran the command on my Sat6.2 test VM and it says "The full log is at /var/log/foreman-installer/satellite.log"

Even without the --verbose option there is a lot there. What exactly should we look for?

Thank you
Comment 11 Rich Jerrido 2016-07-21 16:18:54 EDT
(In reply to Stephen Wadeley from comment #9)
> (In reply to Rich Jerrido from comment #1)
> > In addition to the items mentioned above, the user should be instructed to
> > use the --capsule-dhcp-managed & --capsule-dns-managed switches if they are
> > modifying the installer provided configuration files. 
> > 
> >     --capsule-dhcp-managed        DHCP is managed by Foreman proxy (default:
> > true)
> >     --capsule-dns-managed         DNS is managed by Foreman proxy (default:
> > true)
> > 
> > Also, we should document how the user can run the following to check for
> > locally modified content before running the installer. 
> > 
> > katello-installer --noop --verbose --upgrade
> 
> Hello Rich
> 
> We need to say see logs, same as 6.1? Has the log name changed? 6.1 Docs
> says "Review the /var/log/katello-installer/katello-installer.log to see
> what changes would be applied if the --noop option was omitted."
> 
> I just ran the command on my Sat6.2 test VM and it says "The full log is at
> /var/log/foreman-installer/satellite.log"
> 
> Even without the --verbose option there is a lot there. What exactly should
> we look for?
> 
> Thank you


You would be looking for files that are changed, similar to a UNIX diff (so lines that start with '---' and '+++'. Example follows:

[DEBUG 2016-07-21 16:14:12 main]  Executing 'diff -u /etc/default/pulp_workers /tmp/puppet-file20160721-6625-1uakf2r'
[ WARN 2016-07-21 16:14:12 main]  /Stage[main]/Pulp::Config/File[/etc/default/pulp_workers]/content: 
[ INFO 2016-07-21 16:14:12 main] --- /etc/default/pulp_workers  2016-07-21 16:13:09.844000000 -0400
[ INFO 2016-07-21 16:14:12 main] +++ /tmp/puppet-file20160721-6625-1uakf2r      2016-07-21 16:14:12.889000000 -0400
[ INFO 2016-07-21 16:14:12 main] @@ -2,7 +2,7 @@
[ INFO 2016-07-21 16:14:12 main]  
[ INFO 2016-07-21 16:14:12 main]  # Define the number of worker nodes you wish to have here. This defaults to the number of processors
[ INFO 2016-07-21 16:14:12 main]  # that are detected on the system if left commented here.
[ INFO 2016-07-21 16:14:12 main] -PULP_CONCURRENCY=2
[ INFO 2016-07-21 16:14:12 main] +PULP_CONCURRENCY=4
[ INFO 2016-07-21 16:14:12 main]
Comment 12 Stephen Wadeley 2016-07-22 06:09:54 EDT
Thank you Rich, for comment 11
Comment 14 Stephen Wadeley 2016-07-22 06:13:41 EDT
Hello

I think the work for *this* bug is done.

The entire upgrade procedure will be reviewed as part of the work on BZ#1339417.


Thank you
Comment 19 Stephen Wadeley 2016-07-31 17:22:40 EDT
This is now live on the customer portal.

Satellite 6.2 docs are here:

https://access.redhat.com/documentation/en/red-hat-satellite/

Note You need to log in before you can comment on or make changes to this bug.